com.verisign.epp.codec.gen

## Class EPPFullExtValuePollMessageFilter

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPFullExtValuePollMessageFilter

- All Implemented Interfaces:
    EPPPollMessageFilter

      public class EPPFullExtValuePollMessageFilter
      extends java.lang.Object
      implements EPPPollMessageFilter

  `EPPFullExtValuePollMessageFilter` is a utility class used to filter poll message `EPPResponse` instances against the list of client-specified object services and extension services, per `draft-gould-casanova-regext-unhandled-namespace`. Any non-supported services (object or extension) will be removed from the poll message and moved to an <extValue> element with the full XML block along with a formatted string <reason>.
  The <value> element contains the full unsupported block of XML whether it be for an object extension or a command / response extension.
  The <reason> element is encoded using the following ABNF:

       REASON        = NAMESPACE-URI " not in login services"
       NAMESPACE-URI = 1*VCHAR

  The class does support a no-operation option to simply identify and log non-supported services without removing them from the poll message or adding <extValue> elements to the result.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPFullExtValuePollMessageFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPResponse` | `filter(EPPResponse aResponse, java.util.List<EPPService> aServices, java.util.List<EPPService> aExtServices)` Filter any poll messages that are not supported by the client based on the passed in login services (object extensions) and extension services (command response extensions) from the poll message and encode into the response the information associated with the unsupported extensions (object or command / response).
    `EPPResponse` | `filter(EPPResponse aResponse, java.util.List<EPPService> aServices, java.util.List<EPPService> aExtServices, boolean aNoOp)` Filter any poll messages that are not supported by the client based on the passed in login services (object extensions) and extension services (command response extensions) from the poll message and encode into the response the information associated with the unsupported extensions (object or command / response).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPFullExtValuePollMessageFilter

          public EPPFullExtValuePollMessageFilter()

  - ### Method Detail

    - #### filter

          public EPPResponse filter(EPPResponse aResponse,
                                    java.util.List<EPPService> aServices,
                                    java.util.List<EPPService> aExtServices)
                             throws EPPException

      Filter any poll messages that are not supported by the client based on the passed in login services (object extensions) and extension services (command response extensions) from the poll message and encode into the response the information associated with the unsupported extensions (object or command / response).
      Specified by:
        `filter` in interface `EPPPollMessageFilter`
      Parameters:
        `aResponse` - Source poll message
        `aServices` - `List` of `EPPService` login services (object extensions) supported by the client.
        `aExtServices` - `List` of `EPPService` login extension services (command response extensions) supported by the client.
      Returns:
        Filtered poll message `EPPResponse` that contains extensions that the client supports.
      Throws:
        `EPPException` - Exception filtering the poll message

    - #### filter

          public EPPResponse filter(EPPResponse aResponse,
                                    java.util.List<EPPService> aServices,
                                    java.util.List<EPPService> aExtServices,
                                    boolean aNoOp)
                             throws EPPException

      Filter any poll messages that are not supported by the client based on the passed in login services (object extensions) and extension services (command response extensions) from the poll message and encode into the response the information associated with the unsupported extensions (object or command / response).
      Specified by:
        `filter` in interface `EPPPollMessageFilter`
      Parameters:
        `aResponse` - Source poll message
        `aServices` - `List` of `EPPService` login services (object extensions) supported by the client.
        `aExtServices` - `List` of `EPPService` login extension services (command response extensions) supported by the client.
        `aNoOp` - Set to `true` to only identify unsupported services by logging them and not removing them or encoding them in the <extValue> elements.
      Returns:
        Filtered poll message `EPPResponse` that contains extensions that the client supports.
      Throws:
        `EPPException` - Exception filtering the poll message

Copyright © VeriSign Inc. All Rights Reserved.